Auto Sequence

dScope Series III Applications Manual

Auto Sequence is a dScope Series III application that sets out to do three main things:

1. Provide a framework in which to create and run a sequence of Tests without the need to write any automation code.
2. Enable automated limit checking of results and keep track of overall pass/fail.
3. Provide an automated means of generating test reports and storing results.

The following section contains an overview of the Auto Sequence application.

For more information about how Auto Sequence works, see How it Works.

· See Running Auto Sequence for how to use Auto Sequence.
· See Setting up a Test Sequence for details on configuring your own tests.
· See Looping and Multi-channel tests for details of how to test multi-channel devices.
· See Reporting for information about HTML and Excel reports.
· See Settings and Options for details of setting preferences.

Auto Sequence


Overview

Basic Principles

The basic idea is to create a Sequence of dScope Configurations that can be run one after another in order to test all the different parameters that are required. The function of Auto Sequence is to manage the selection and execution of these Configurations, keeping track of pass/fail criteria and generating reports. If the Configurations are set up appropriately, Auto Sequence can work out what is expected and intelligently determine what to include in the report and what parameters, if any, to limit check.

This documentation is for Version 2.01, July 2013

Overview


How it Works

A Sequence consists of a series of dScope Configurations. As each Configuration is loaded, Auto Sequence will look for Readings, Sweeps and FFT-derived Traces set up within it. A Reading in this context, (with a capital “R”, also known as a "Reading Window") is a dScope window containing a single measurement result as shown below:

Within a Reading are the result itself, its units, and settings for the name of the Reading, the number of decimal places to display the result, limit values to check against, etc. Auto Sequence uses these settings to determine if and how the measurement should be limit checked and how the result should be displayed in the report.

Likewise a Configuration can contain a Sweep. This defines which parameter is to be swept, over what range and what measurements are to be taken at each step. For each Sweep Result, Limit Lines can be used to check for pass/fail. Auto Sequence looks at each Configuration and determines firstly whether a Sweep is set up or not, and secondly, what to do if there is a Sweep present. Fundamentally, if a Sweep is set up, Auto Sequence will run it and export the graph to the HTML report. If there are limits set up, these will be used to check for pass/fail. The appearance of the graph in the HTML report is controlled by the graph export settings which are also saved within each Configuration.

FFT-derived Traces are those that are based on captured buffers of data and include FFT spectra and FFT responses derived from multi-tones as well as time domain Traces such as the Scope Trace and impulse response Trace. These will be exported and limit checked if the FFT parameters are set in such a way that Auto Sequence can determine when they are ready for export. In practice this means that if the FFT buffer averaging is turned on and set to “once” or the trigger mode is set to “single shot”, the FFT will be acquired and the graphs exported and limit checked.

If a Digital Input is selected and the Digital Inputs panel is set to check for data integrity (Channel Check) this is also checked and reported.

Auto Sequence itself is a single script that provides two main interfaces for managing Test Sequences. When it is first started it provides a "host" interface for Sequence selection as shown below:

This provides a simple interface to browse for folders that contain dScope Series III configurations and run them as sequences, as well as some tools for setting up sequences which are covered in more depth later.

Clicking "Load Sequence" in this dialogue box opens the highlighted folder and displays the contents in the Sequence dialogue box which will look something like the one below:

This is an alphabetical list of the Configurations found in the selected folder. To the left are check boxes to set which Tests will be run in the sequence. To the right are buttons to manually load the Configuration and to run the Tests contained in it. If the [Run] button for a particular Test is clicked, it will first load the associated Configuration if it isn't already loaded then run the Test.

At the top of the form are buttons to change settings and a set of "transport" buttons: the [image] [Run Sequence] , [image] [Stop Sequence], [image] [Pause Sequence] and [image] [Pause Step] buttons.

At the bottom are buttons for settings, to enter notes and generate an HTML report.

Exiting a Sequence

To exit the Sequence view and select another Sequence, just close the dialogue box (using the Windows' "X") and you will be returned to the host dialogue box where you can select a different Sequence. Close this in the same way and you will exit the application.

Looped Sequences

A sequence of Tests may also be repeated a number of times. Each repetition of the Test Sequence is termed a "Loop"

This allows multi-channel devices or different device configurations to be tested.

See Looping and Multi-Channel Tests for more information.

How it Works


How Pass/Fail is assessed

A Sequence passes when all the required Tests within it have been completed and have passed.

A required Test is one that is checked for inclusion in the Sequence.

A Test passes when all the measurements within it have been completed and are within limits.

The overall pass/fail is continuously assessed as the Test Sequence progresses.

Any Tests that do not have limit checking within them do not contribute to the pass/fail, but will still be required to be run for the Sequence to be marked as completed.

Changing which Tests are required dynamically updates the pass/fail (eg, de-selecting the only Test that fails in a sequence will cause the Test Sequence to be re-assessed and passed.)

Looped Tests: Which Tests are Required?

With Looped Tests, the Tests that are required in each Loop are independent (the same Tests don't have to be run in each Loop). Any particular Test can be enabled or disabled for all Loops using the Test Master controls in the Test Matrix. Likewise, any particular Loop can be enabled or disabled using either the main Auto Sequence interface or the Test Matrix. For a Test to be required for the pass/fail, the following three conditions must be met:

· it must be checked.
· it must be in an enabled Loop.
· its Test Master must be enabled.

See the Test Matrix for more information.

How Pass/Fail is assessed


Requirements

Software

· dScope Series III version 1.45 or later
· ScriptDlg.dll version 1.02 or later (included with dScope)
· Windows XP, Vista or 7, 32 bit or 64 bit.

Hardware

· Prism Sound dScope Series III

Auto Sequence will work with all versions of the dScope Series III family, but Configurations loaded as part of a Sequence may have features that are not supported on all versions.

Installation

Auto Sequence is installed by default with dScope Series III software from version 1.43.

The Auto Sequence application consists of a single .dss dScope script called “Auto Sequence.dss”. It is expected to reside in the dScope \Scripts\Automation folder (typically C:\Program Files\Prism Sound\dScope Series III\Scripts\Automation). In addition, if the ability to export all the Configuration settings to the report is required, another script is needed called “Auto Sequence Settings Reporter.dss” which needs to be in the same folder.

Requirements


Running Auto Sequence

Auto Sequence can be run in several different ways:

· from the dScope [Applications] button on the "User Bar".
· from the dScope "Automation" menu by selecting "Run Script" and then selecting "Auto Sequence.dss".
· from the dScope [Run Script...] toolbar button and then selecting "Auto Sequence.dss".
· If configured, from the dScope [Auto Sequence] User Bar button.

Running Auto Sequence


Selecting a Sequence

When Auto Sequence is first run, you will be presented with the dialogue box below:

This is referred to as the "Host" and is simply used to browse to folders containing dScope Series III Configurations. Use the ">>" [browse] button to find the folder containing the folders which are your sequences (ie, the folder above your test sequence). The Test Sequence list box lists all the subfolders of the current folder. If there are dScope Series III Configurations in the selected folder, the [Load Sequence] button is enabled. Clicking this will create a separate dialogue box with the details from the selected Test Sequence similar to the one below:

To select a different Sequence, close the current Sequence (using the Windows "X" in the title bar) and you will be taken back to the host interface. Closing this will exit from Auto Sequence.

Use the [image] [help] button to get help on the current dialogue.

The Set-up Mode check box

If the "Set-up Mode" check box in the host dialogue box is checked, when the sequence dialogue box is opened it will include additional controls for setting up and configuring Test Sequences, mainly through the use of additional automation scripts. For more information, see Script Set-up Mode. See also the Set-up Lockout option to remove this check box.

Selecting a Sequence


Running a Sequence

After loading a Test Sequence to run, clicking the [image] [Run Sequence] button will run all the checked Tests in the Sequence starting at the top and working down to the bottom. As it progresses, each Configuration is loaded in turn and the measurements found in it are run. The dialogue box shows the process as below:

In the above screen-shot, the header bar tells us the name of the Test Sequence and is coloured according to whether the overall Test Sequence is passing or failing . If it is passing (as above) this will be green. It will be red for failure and it will be remain grey if there is no limit checking encountered. The status bar below this tells us what Auto Sequence is currently doing (“Running Sweep: (step 15 of 20)” in this case...”).

Progress Bars

There are two progress bars: the top one shows the overall progress through the Sequence of checked Tests, and the second one shows the progress through parts of the Tests such as Sweeps, FFT buffer captures, and Channel Check periods.

Sequence Progress Indication

Looking at the [Load] and [Run] buttons in the screen shot above, we can see that the [Run] button for "A01 Ampl, Phase, Gain" is coloured green and says “Re-run” on it indicating that this Test has been run and passed. There are three possible states after a Test has been run:

· Blue - Test completed and no limit checking found
· Green - Test completed and passed all limit checks
· Red - Test completed and failed at least one limit check

A Test that has not been run will be grey and the currently running test will be amber. A test that has been started but failed to complete will be marked as failed. This happens if, for example, a digital input is selected but fails to lock.

When all the selected Tests have completed, the buttons will be enabled again. At this point, you can go back to any of the Tests and run them again in isolation by clicking on their [Run] button (which will now say “Re-run”) .

The results for each Test are kept and updated when they are re-run. In this way it is possible to make adjustments and re-run a failed Test within a Sequence until the entire Sequence passes and then create the report. The report will contain the results from the most recent instance of each Test that was run.

Running a Sequence


Exiting Auto Sequence

To exit Auto Sequence, simply close the dialogue boxes using the Windows' "X" in the title bar. You will need to do this twice: once in order to close the Sequence menu and again in order to close the host menu.

If Excel is in use and is visible (See Excel Reporting), you will be asked whether you want to save the spreadsheet when you exit the Sequence.

Exiting Auto Sequence


Setting up a Test Sequence

At its most basic, setting up a Test Sequence consists of placing a series of dScope Configurations that constitute the required Tests in a folder. For example, if you had two Tests: “Frequency Response.dsc” and “Signal to Noise.dsc” that you wanted to run as a your new Test Sequence, you would create a folder called "New Test” (for example) and put the Configurations in it. The default location for these Sequence folders is the \Configurations\Sequences\ subfolder of the dScope installation, but they can be anywhere where Windows can locate them.

When you run Auto Sequence and navigate to the parent folder it would list "New Test” as one of the available Test Sequences. When you selected it, it would show the two Configurations as separate Tests that would be run one after the other in alphabetical order.

To assist in managing configurations in this way, Auto Sequence has a Sequence Editor, accessed from the [Edit] and [New] buttons on the Host dialogue.

Setting up a Test Sequence


Changing a Test

Each Test is just a dScope Configuration that follows a few fairly simple rules. See Setting up Configurations for Test for more on this. Once a Configuration is changed, use the normal [Save] button on the dScope toolbar to keep the changes.

If you are using Excel to save results, changing a Test can cause the Test Sequence to be no longer compatible with the Excel spreadsheet. From a practical perspective, it helps if you configure your Test Sequence entirely before attempting to create an Excel spreadsheet for it. See the section on Excel Reporting for details.

Changing a Test


Sequence Editor

The Sequence Editor is a tool to manage the Configurations and files that make up a test sequence. It is accessed from the Host dialogue via the [Edit] or [New] button.

The [Settings] button provides access to the same settings controls as the [Settings] button on the Sequence dialogue.

The buttons to the right of the list of Configurations act on the selected Configuration and provide the following functions:

Cloning a test: the Clone Button

The [Clone] button creates a new Configuration which is a copy of the currently selected one. It asks for a name for the new Configuration and adds it to the list. Any scripts, dialogues or loop files associated with this configuration will also be cloned.

Importing a test: the Import Button

The [Import] button opens a browse window with the file type constrained to show dScope configurations and allows you to add a selected configuration to the sequence. If the selected sequence has scripts, dialogues or loop files associated with it, these will also be imported.

Removing a test: the Remove Button

The [Remove] button removes the selected test and its associated scripts, dialogues and loop files.

Changing the test order: The Move Up and Move Down buttons

The [Move Up] and [Move Down] buttons rename the Configuration with a new numeric prefix so their sort order is changed. This only works if the files have numeric prefixes. If the files do not have numeric prefixes, Auto Sequence will offer to rename all the configurations to attach them. Sorting and applying numeric prefixes works on the Configurations themselves and their associated scripts, dialogues and loop files.

Renaming a test: the Rename button

The [Rename] button allows you to rename the selected Configuration and its associated scripts, dialogues and loop files in one go. If there is a numeric prefix, this is not shown in the rename dialogue and is handled automatically.

Per configuration Scripts

The Sequence Edit dialogue allows you to access the scripts that are set up on a "per configuration" basis. By selecting a Configuration, you can create or open the "Post Load", "Pre Run" and "Post Run" scripts for that Configuration. If these already exist, the buttons will be amber. If they do not yet exist, the buttons will be grey. Clicking an amber button will open the existing script in the defined script editor (default is Notepad). Clicking a grey button will offer to create a new script with the appropriate name and then open it in the default script editor.

Dialogues Button

The [Dialogues] button provides access to the Dialogue Editor which allows you to manage dialogues associated with the currently selected Configuration. If there are already Dialogues associated with this Configuration, this button will be coloured orange. If not it will be grey.

Other Scripts Buttons

Along the bottom of the Sequence Editor screen are buttons to access or create the Sequence level scripts.

Sequence Editor


Add another Test to a Sequence

If a Configuration already exists that you want to add to a Sequence, you can use the Sequence Editor to import it.

You can also create a new Test by Cloning a Test within the same Sequence and then modifying it.

To manually add a Test to a Sequence, simply save another Configuration in the same folder. These will appear in the user interface list the next time the Sequence is loaded.

Add another Test to a Sequence


Remove a Test from a Sequence

To permanently remove a Test from a Test Sequence, delete the Configuration from the sequence folder. This can be done most easily from the Sequence Editor, where the [Remove] button will remove not only the Configuration, but also its associated scripts, dialogues and loops.

To disable a Test so that it doesn't appear in the list of Tests, you can also rename it, placing a tilde (~) in front of its name. For example, to stop a Test called “THD.dsc” from appearing in the list, rename it to “~THD.dsc”.

To temporarily disable a Test, uncheck it in the user interface. It will then not be run and not be included in the pass/fail evaluation.

Remove a Test from a Sequence


Changing the order of Tests in a Sequence

The Tests are loaded in alphanumeric order. To change the order they are executed, you can rename them manually with a letter or numeric prefix to change the sort order, or use the Sequence Editor to re-order the tests (applies to Tests with a three digit numeric prefix only).

Changing the order of Tests in a Sequence


Setting up Configurations for Test

One of the main aims of this application is to provide a test framework that can be set up without resorting to scripting. In order to achieve this, the Configurations that constitute the Test must be set up in a particular way. The following sections of this chapter describe the requirements.

Basic Rules

Configuring Readings

Configuring Sweeps

Configuring FFT Spectra and Multi-tones

Setting up the Trace Window for export

Checking digital data integrity

Setting up Configurations for Test


Basic Rules

As Auto Sequence runs through a set of Tests it will open each Configuration and look for Readings, Sweeps, Channel Check and FFT based results. How you configure these will affect the limit checking and the way the report appears.

Some specific rules are below:

Readings from any of the following results can be used:

· Signal Analyzer RMS amplitude
· Signal Analyzer Frequency
· Signal Analyzer inter-channel phase
· Continuous-Time Detector
· FFT Detectors
· Digital Output Reference Sync frame rate
· Digital Output Reference Sync frame rate deviation
· Digital Inputs frame rate
· Digital Inputs frame rate deviation
· Digital Inputs carrier amplitude
· Digital Inputs jitter amplitude
· Digital Inputs carrier phase

FFT Detectors

· If FFT Detectors are used, they must begin at FFT Detector 1 and be in a continuous series (detector 1, 2, 3, 4 etc.). The script checks for FFT Detector Readings starting at FFT Detector number 1 and will stop looking if the FFT Detector it requests doesn't exist. This is to avoid having to check for the possibility of 40 FFT Detectors being present with gaps in the series.

Sweeps

· Sweep Results must start using Sweep Result 1 and be in a continuous series. For example, using Results 1, 2 and 3 will work. Attempting to use 1, 3 and 4 will result in only Result 1 being used. Auto Sequence checks for Sweeps starting at Result number 1 and stops looking when it finds an unused Sweep Result.
· If you are using Sweeps, the Trace window must be open on the current page of the Configuration or the graph export to the report will fail with a warning message.
· If you don't want a Sweep to run, set the source for “Result 1” in the Sweep set-up to “none”
· Sweeps should not be set up with “Append to existing Sweeps” turned on as it makes re-tests difficult.
· Nested Sweeps can be used, but not with limit checking.
· Sweeps with a measured X axis can be used, but the Excel header will contain the X axis results from the measurements taken while the spreadsheet was being configured. These do not get updated when the Sweep is re-run in subsequent tests and therefore are not the measured X axis results from the Sweep data in the spreadsheet rows.

Traces

· If you want FFT-based Traces (FFT spectrum, or derived Traces such as FFT responses from multi-tones) you need to set the FFT Parameters such that the FFT trigger will turn off at an appropriate point if the script turns them on. In practice this means that if the FFT Buffer Averaging mode is set to “Once” or the Trigger Mode is set to “Single Shot”, the script assumes you want to keep the FFT Trace in the Report. In addition it will limit check any Traces derived from the FFT Traces that have limits set. This includes FFT responses as used in multi-tones and time domain Traces that are based on the FFT buffer capture (Scope Traces, CTA output Traces, impulse responses).
· Only FFT-based Traces with fewer than 100 points are exported to Excel.

Basic Rules


Configuring Readings

To limit check a measurement result or to make it appear in a report, a Reading must be created. A Reading in this context, with a capital “R” is a dScope window containing a single measurement result as shown below:

They are created by clicking on the measurement result in one of the analyzer windows and dragging it out onto the page. Once created, click on the buttons on the right to configure the Reading. Please see the dScope Series III Operation manual for further information on creating and using Readings.

Within each Reading's settings (accessed through the buttons on its right edge) are enough controls to determine how that Reading will appear in the report and how it will be limit checked. The report will contain a table for each Reading as below:

This takes the name of each row from the name of the Reading (this defaults to the name of the Reading's function but can be edited). The result is displayed with the same precision (decimal places or significant figures) as the Reading is set up to display. The limits used are read from the Reading and displayed in the grey area to the right.

The HTML report defaults to reporting the settings of the CTA in the same table as any Readings derived from it as above. Likewise FFT Detector settings are also reported. Both these are optional (see the Settings menu).

Since Auto Sequence cannot tell whether the Signal Generator is in use, it defaults to not reporting it, but reporting can be turned on in the Settings dialogue box, in which case it reports the settings in a table as below:

Configuring Readings


Configuring Sweeps

Sweeps are configured in two main parts within the dScope user interface: the Sweep Set-up and the Trace Window Graph Export settings. The former determine how the Sweep is performed and the latter determine how it will appear in the report. Please refer to the dScope Series III Operation manual for how to set up a sweep and how to set up Limit Lines.

Fundamentally, if a Sweep is configured in a dScope Configuration, it will be run by Auto Sequence. If a Sweep has Limit Lines applied, it will be limit checked.

Use the [image] [Graph Print/Export Setup] button to configure how the exported graph will appear in the HTML report, making use of the "export preview" option. It will be exported as .png graphics.

If you do not want any Sweeps to be run in a Configuration, simply set the source for “Result 1” in the Sweep configuration to “none”.

Configuring Sweeps


Configuring FFT Spectra and Multi-tones

In order to facilitate the use of FFT spectra (for example, measuring and displaying the noise floor of a product) and the use of Multi-tones, Auto Sequence needs a means of telling from the Configuration when this is required and when the requirement has been met. This is achieved by setting the FFT Parameters in such a way that the trigger will turn off when the required spectrum has been acquired. There are two ways to achieve this:

1. Turn on FFT buffer averaging and set it to “Once” in the FFT Parameters dialogue box, or

2. Set the Trigger mode to “Single Shot” in the FFT Parameters dialogue box.

Once set like this, when the Test is run, Auto Sequence will start the FFT trigger and wait until the trigger has turned off before limit checking any of the FFT-based graphs that have Limit Lines and exporting the Trace(s) to the report. If the FFT Parameters are not set in such a way that the FFT trigger would turn off, the FFT Traces will not be exported or checked, although any FFT Detector Readings would still be checked using the settling details in the Configuration.

The Traces that are limit checked are:

· FFT Traces.
· FFT Traces derived from the output of the CTA.
· FFT Responses (eg, frequency response, noise response, distortion response etc. from multi-tones).
· Time domain Traces (including impulse response Traces)

The process of setting up a multi-tone is not described here. Please see the dScope Series III Operation manual for the multi-tone generation and analysis settings in conjunction with setting up Limit Lines for Traces.

When using the Multi-tone generation and analysis tools, you can set limits on any of the FFT responses and the FFT Detector Readings, but they are checked separately; Detectors are checked simply because they are there, but responses will only be checked and reported if the FFT trigger is set to turn off.

Only FFT results with fewer than 100 data points are exported to Excel.

Configuring FFT Spectra and Multi-tones


Setting up the Trace Window for export

The Trace window is exported if either a Sweep is performed or FFT-based Traces are set to be exported. If both are present, the Trace window will be exported more than once. You can configure this and see a preview by using the [image] [Graph/print export setup] button on the Trace Window toolbar. It is the "Export options" and not the "Print options" that are used by Auto Sequence. You can use the [Export Preview] button to see how the graph will appear in the report.

Note that the Trace Window must be open on the current page in the Configuration in order for graph exports to work.

Setting up the Trace Window for export


Checking digital data integrity

If the Configuration is set up with a digital input selected and the digital input is set to use “Channel Check”, Auto Sequence will check firstly for the presence of the Channel Check sequence (a specific test pattern for digital data), and if found, will check it for a set period (default 10 seconds). The Channel Check sequence must be detected on the selected digital input and maintained for the required period without errors for it to pass.

Checking digital data integrity


Changing Settings in a Sequence

Changing settings in a complete Sequence (for example, re-purposing an existing Sequence for use with a different product or using a different connection) requires that a potentially large number of Configurations be opened, edited and then saved. For a small number of configurations, it is usually sufficient to simply click the load button for the configuration you want to change, make the changes, then click the [image] [Save Configuration] button on the dScope toolbar. You should always load the Configuration fresh before making changes; saving after a test has been run may save it with sweeps present etc.

Tweaking a Sequence

By starting a sequence in Setup Mode you can make use of the "Tweak" function to help in making changes to a group of Tests (Configurations) in a Sequence all at once. To use this, first select the Tests which you want to change by checking them in the Setup dialogue, then click the "Tweak" button. The following interface appears:

The idea here is that you select the parameter you want to change, the value you want to change it to, and Auto Sequence will make the changes to all the currently selected Configurations by sequentially opening each one, running a line of script code and then re-saving the configuration.

You can also edit the code that is generated which enables you to, for example, enter the name of a particular sound-card device that you want to use. You can also substitute your own code for the code generated.

WARNING: There is no confirmation message ("are you sure") when you click the "Apply" button. There is also no Undo function, although, if you know what the settings were before, you can use the same process to put them back.

WARNING: This will re-save the configurations using the current version of dScope. Since older versions of dScope software cannot usually open dScope Configurations saved with newer versions, there is the risk that you will make your configurations un-usable to older systems. There is no way back from this other than re-creating the configurations manually using the older software.

Changing Settings in a Sequence


Dialogues

Auto Sequence attempts to get all the information it needs from a Sequence of dScope Configurations. In practice, there are several things that are useful to do in a test sequence that can't be easily controlled this way. Dialogues are used to extend the capabilities of Auto Sequence for functionality that is not easy or not possible to get from a configuration alone. The main areas of functionality provided by Dialogues are on-screen user message boxes and mechanisms for getting additional data into Auto Sequence. Not all Dialogues are on-screen messages.

How do Dialogues work?

Dialogues are functions built into Auto Sequence which can be run during Sequence execution. They are executed just before the test is run. Any Test can have multiple Dialogues, the type, details and order of which can be set by the user. Some provide instructions to the operation, some provide a mechanism to return data or text back into Auto Sequence so it can be included in the results.

Dialogues include:

· User prompt
· Information box
· Yes/No dialogue box
· User data input
· User text input
· Automatic numeric result
· Automatic Boolean result
· Automatic text result
· Disabled Dialogue

Dialogues


Editing Dialogues

Controls for editing Dialogues are accessed via the Set-up Mode or the Sequence Editor. When in Set-up Mode, next to each Test's [Run] button is a button with an "D" in it for Dialogues. This will either be [+D] and grey if there are no Dialogues for the particular test or [D] and orange if Dialogues are set up. Clicking on the button will open a the Dialogue Editor as shown below:

The list box at the top displays the list of Dialogues defined for this test. They are executed in the order shown. Dialogues can be added, removed, moved up or down and tested using the buttons to the right of the list. The [Test] button runs the highlighted Dialogue to check its function (preview dialogues and/or check logic)

The same editor is used for all types of Dialogue. Controls that are not relevant to the selected Dialogue type are disabled.

Dialogue Editor - Details Section

Description

The description field is used to enter the text that identifies the Dialogue. This will appear in the list at the top of the form, in the top of on-screen messages (depending on the Dialogue type), in the spreadsheet header (where configured) and in the HTML report.

Type drop-list

The type drop list is used to select the type of Dialogue. Types include:

· User prompt ("Prompt")
· Information box ("Info")
· Yes/No dialogue box ("YesNo")
· User data input ("UserDataInput")
· User text input ("UserTextInput")
· Automatic numeric result ("AutoNumeric")
· Automatic boolean result ("AutoBoolean")
· Automatic text result ("AutoText")
· Disabled Dialogue ("Disabled")

Changing the selected Dialogue type changes which controls on the form are enabled. Setting a Dialogue to "Disabled" allows you to leave it in the list but not have it executed.

Text 1 and Text 2

These apply only to Dialogues that display on-screen boxes. They define two areas of text on the form. The body of the form consists of three areas: a text area, an image, and another text area. Text 1 defines the text that appears above the image (if any) and Text 2 appears below. Neither are required.

Image file

Applies only to Dialogues that display on-screen boxes. This drop-list lists all the .bmp image files in the Sequence folder. To include an image in an on-screen Dialogue, save it as a .bmp in the Sequences folder and then select it from this drop-list.

Prompt Size

Applies only to Dialogues that display on-screen. This allows you to control the size of the displayed dialogue boxes. The options are: S, M, L, XL, XXL (Small, Medium, Large, Extra Large and Extra Extra Large respectively). This scales the text within the dialogue box but does not scale the image (if any).

Dialogue Editor - Data Section

Result box

This applies to "AutoNumeric", "AutoBoolean" and "AutoText" Dialogues only. It is used to enter a single line of VBScript code that can be executed within the dScope environment to return either a numeric result (AutoNumeric Dialogue), boolean (AutoBoolean) or text string (AutoText) result. Use the [Test] button to check the execution.

Limits

Applies to "YesNo", "UserDataInput", "AutoNumeric" and "AutoBoolean" Dialogues. If checked, limit checking will be applied to the results returned by the Dialogue and it will contribute to the Pass/Fail of the device. Boolean and Yes/No values are fixed logic such that "True" and "Yes" are a pass, "False" and "No" are a fail. Numeric results are compared to the Min and Max values entered. If limit checking is enabled, you must enter a min and max limit. If you only wish to check against one, set the other far enough out that it will not cause a failure. Leaving the min or max boxes empty will result in an error message and the result being evaluated against a limit of zero.

Units

The "Units" box is a freeform box where you can enter the units of the result that you are expecting. It is only a label that will appear in the dialogue and in the results and has no effect on the logic of the test.

Loop Usage Section

With Sequences incorporating loops at either the Sequence level (where the whole sequence is repeated) or the Test level (where just the Test is repeated), you may not want the Dialogue to execute every time, or you may want a different Dialogue to be executed. Leave these blank to use the selected Dialogue on every loop or use a comma separated list of loop numbers to restrict them to being used on designated loops (e.g., 1, 4, 6)

Saving Dialogues

Changes made in the Dialogue Editor are not retained unless the [Save] button is clicked before the dialogue is closed.

Editing Dialogues: The Dialogue Editor


Information Dialogue

The Information Dialogue provides a mechanism to provide the test operator with on-screen information. These have the following form:

If [OK] is clicked the Sequence continues. If [Cancel] is clicked or the dialogue is closed, the execution of the Sequence is stopped.

The info prompt returns no data to Auto Sequence.

Information Dialogue


User Prompt Dialogue

The user prompt Dialogue provides a mechanism to create on-screen messages that instruct the test operator to perform an operation. These have the following form:

If [OK] is clicked, it is assumed the action has taken place and the Sequence continues. If [Cancel] is clicked or the dialogue is closed, the execution of the Sequence is stopped.

The user prompt returns no data to Auto Sequence.

User Prompt Dialogue


Yes/No Dialogue

The Yes/No dialogue Dialogue provides a mechanism to create user prompts that ask the test operator to answer a question that requires a Yes/No answer. These have the following form:

If [Yes] or [No] are clicked the answer is included in the results and the Sequence continues. If [Cancel] is clicked or the dialogue is closed, the execution of the Sequence is stopped.

The logic of the Yes/No dialogue is fixed: "Yes" is a pass, "No" is a fail. The dialogue defaults to "Yes". Questions should be phrased such that the correct/pass answer is "Yes".

Yes/No Dialogue


User data input Dialogue

The user data input Dialogue provides a mechanism to ask the test operator to answer a question that requires a numerical answer which can be limit checked (optional). These have the following form:

The form requires a numeric input in the edit box at the bottom left, but this doesn't have to be limit checked. The "Units" text is a user defined text string.

If [OK] is clicked the entered number is included in the results along with the data input description and the Sequence continues. If [Cancel] is clicked or the dialogue is closed, the execution of the Sequence is stopped.

User data input Dialogue


User text input Dialogue

The user text input Dialogue provides a mechanism to ask the test operator to enter a text string. This could be a serial number of a sub-assembly or notes etc. These have the following form:

If [OK] is clicked the entered text is included in the results and the Sequence continues. There is no limit checking, but the text field cannot be left empty. If a blank entry is required, a space character can be entered, or some other entry such as "None" or "N/A".

If [Cancel] is clicked or the dialogue is closed, the execution of the Sequence is stopped.

User text input Dialogue


Automatic numeric result Dialogue

The automatic numeric result is intended to make it possible to get dScope settings and results that can't be displayed in dScope Readings. In this way it is possible to include a far wider range of parameters in the results.

It works by executing a line of scripted code which returns the result. An example would be:

Result = SignalGenerator.SG_ChAFreq/1000

This example would allow us to report the generator frequency on Channel A in kHz and (optionally) limit check it. When setting this up, it is only the text after the equals sign that is entered.

This Dialogue displays nothing on screen: it is a dialogue between Auto Sequence and dScope, not Auto Sequence and the test operator.

Automatic numeric result Dialogue


Automatic boolean result Dialogue

The automatic Boolean result is intended to make it possible to get dScope settings and results that can't be displayed in Reading dialogues and which return a Boolean value (True/False).

It works by executing a line of scripted code which returns a Boolean result. Examples could include:

Result = (ModelNumber = MODELNUMBER_ANALOGUEANDDIGITAL)

Result = Not (AnalogueInputs.AI_RangeOverriddenChA)

This first example checks that the dScope is the full Analogue and Digital version. The second checks that the analogue input auto-ranging has not been overridden. When setting this up, it is only the text after the equals sign that is entered. Limit checking is optional, but if turned on, the logic is fixed such that "True" is a pass, "False" is a fail.

This Dialogue displays nothing on screen: it is a dialogue between Auto Sequence and dScope, not Auto Sequence and the test operator.

Automatic Boolean result Dialogue


Automatic text result Dialogue

The automatic text result is intended to make it possible to get dScope settings and results that can't be displayed in Reading dialogues and which return a text (string) value.

It works by executing a line of scripted code which returns text (a string) as a result. Examples could include:

Result = Cstr(Now())

Result = SoundcardInputs.SI_Soundcard

This first example returns the current date and time. The second returns the name of the currently selected sound-card used on the dScope inputs. When setting this up, it is only the text after the equals sign that is entered. There is no limit checking.

This Dialogue displays nothing on screen: it is a dialogue between Auto Sequence and dScope, not Auto Sequence and the test operator.

Automatic text result Dialogue


Disabled Dialogue

This is special case. A disabled Dialogue does not get executed. It is included as a mechanism for turning Dialogues on and off without having to remove them.

Disabled Dialogue


Looping and Multi-Channel Tests

In order to cater for repeating a Sequence a number of times (for example, on a multi-channel device, or at different device settings) Auto Sequence can manage multiple repeats of the same Sequence. We term these “Loops” and each Loop is individually accessed and controlled.

Setting up Loops simply consists of adding Loop files to the sequence configurations folder. A Loop file is a dScope Configuration or script that defines the conditions for the Loop. If more than one Loop file is found in the Sequence configurations folder, Auto Sequence will detect it and change the appearance of the user interface to allow control of the looped Sequence as shown below:

In this example, there are 16 Loop files defined in the folder and there are consequently 16 corresponding Loop buttons and check boxes. Entire Loops can be disabled using the Loop check boxes in which case they will not be run and will not be required for the pass/fail. The interface will support up to 48 Loops which would give three rows of Loop buttons.

Each Loop is one pass through the Tests. Each Loop has independent selection of Tests within it (the same selection of Tests doesn't have to be run on each Loop). This is controlled using the Test Matrix and the Test check boxes on the left of the form. The latter are for the currently selected Loop. Changing the selected Loop by clicking on the Loop buttons loads the settings and results for that Loop and may therefore show different check boxes checked. A Test can be turned off for all Loops using the Test Master controls in the Test Matrix (accessed using the [Test Matrix] button).

Looping and Multi-Channel Tests


Defining Loop files

When a Test Sequence is loaded, Auto Sequence checks the sequence folder for the presence of “Loop files”. These are either dScope Configurations or scripts with the names “Loop_1.dsc”, “Loop_2.dsc” (Configurations) or “Loop_1.dss”, “Loop_2.dss” (scripts). The presence of either file type is sufficient to make the Sequence run in Loop mode. The script looks first for Loop_1, then Loop_2 etc. If only Loop_1 is found, no changes will appear on the user interface. If more than 1 Loop file is found, Loop buttons are placed on the interface for each one until either a Loop file is not found or the number of Loop files hits 48 (the limit of buttons that are accommodated by the form).

When the Test Sequence is run or the Loop button is pressed, Auto Sequence will look first for a Loop Configuration (.dsc) file and load that, and secondly for a script (.dss) and run that. At each Loop you can define either or both.

Typically a Loop file will define a connection to the equipment under test (for example, setting up switcher channels that have been saved in a Channel Array in a dScope Configuration) or will configure the device itself using automation accessed via the Loop script.

Loop Files and partial Configurations

dScope also supports the concept of “partial Configurations”. These can be very useful in Loop mode. The idea is that a dScope Configuration can be saved without some of its settings, meaning that loading this Configuration will not overwrite the settings in the previously loaded Configuration. For example, all the Test Configurations could be saved without their soundcard channel mappings and the Loop files could be saved with just their soundcard channel mappings. When the Loop file is loaded it will set the channel mappings, which will not be overwritten by the other Configurations in the remainder of the Sequence.

To achieve this, if you use the [image] [Save Configuration As] button on the dScope toolbar (or the equivalent “Save As” option in the dScope file menu), you will see a tree structure on the right with the settings to be saved shown with a blue check and the ones that are not saved and restored with a red cross. Simply click on these to toggle their state.

Loop Script Files

There are a range of things that can be done with a script file that can't be done with a Configuration, not least the changing of device settings. Using a dScope script it is possible to control external devices and automation, increment a setting, or simply put up a message box asking the operator to change the channel selection of the current mode of operation. The Loop script will be run after the Loop Configuration file (if present).

Loop script files should be dScope automation files and can be written using the dScope script editor. How to do this is beyond the scope of this documentation. Please refer to the Prism Sound website and the dScope Series III Scripting documentation.

Test Level Loops

In addition to looping the entire Sequence, it is possible to loop just a single Test within a Sequence. An example of where you might want to do this is if you wanted to run the same Test at several different sample rates. To achieve this, you would save a Loop script with the same name as the Configuration with “_Loop_1.dss” at the end instead of the usual “.dsc”. For example, if your Configuration was called “Noise.dsc”, you would save a script with the name “Noise_Loop_1.dss” in order to set up the conditions for the first pass through this Test. You could then set up “Noise_Loop_2.dss”, “Noise_Loop_3.dss” etc, to repeat the Test three times with different conditions. When a Test is repeated in this way, the pass/fail for this Test consists of the overall pass/fail of all the Loops. As far as the HTML report and spreadsheet are concerned, this is one long Test that just happens to measure the same thing a number of times. Each Loop will contribute to the HTML report and the Excel spreadsheet.

Defining Loop files


Looping behaviour

When Loops are set up, running a Sequence runs each Loop in turn. Within each Loop, it loads and runs the Loop files first and then runs the sequence of Tests. As each Loop is completed, the Loop buttons change colour to indicate whether the Tests in that Loop passed or failed. At the end of the Sequence of Loops you can click on the Loop buttons to go back and reload a Loop that failed, and the interface will be updated to indicate which Test within that Loop failed, enabling you to re-run just that Test, or, if preferred, you can click the Loop button a second time to run the entire set of Tests for that Loop again.

In the screen-shot above, the Sequence has 16 Loop files, but only the first four are set to run. Each time the Loop runs, it is set to run all the Tests except the "Frequency Response" Test which is disabled for all Loops (using the Test Master check boxes found in the Test Matrix). The required Sequence has been completed. Loops 2 and 3 have passed, but the "Channel Check" Test in Loop 4 has failed as indicated by the red “Re-run” button. At least one Test in Loop 1 has also failed, but we wouldn't know which one unless we clicked on the Loop 1 button to load it. Loop 4 is currently selected (indicated by the bold “4” in the Loop button). In order to get the entire Sequence to pass, we would re-run any Tests in any Loops that had failed by first selecting the Loop and then re-running the Test within the Loop that had failed.

If you were testing a modular device with one module tested per Loop (eg, a console with multiple channel strip modules) and one channel failed and had been replaced with a new module, you would need to re-run the entire Sequence for that module Loop. This can be done by selecting the Loop for that module (by clicking its Loop button), and then clicking it again to run the Sequence of Tests.

Looping behaviour


Test Matrix: setting which tests run

The Test Matrix is a two dimensional view of a Looped Test Sequence with each Loop as a column and each Test as a row and check boxes to set which Loops, Tests and Loop/Test combinations are enabled.

On the main interface of Auto Sequence there are already check boxes for the Loops and Tests within the current Loop. If, however, you want more control over which Tests are run, you can do so with the “Test Matrix” accessed from the button with the same name. This is shown below.

Here, only the Tests that are both enabled and checked will be performed and are required for the pass/fail results.

· Along the top are the Loop Master check boxes: if these are unchecked, the Tests below this Loop are shown disabled and the Loop will not run. These check boxes are functionally the same as the Loop check boxes on the main Sequence interface
· Down the left side are the Test Master controls - these are NOT the same as the ones on the main interface. If these are unchecked, the Test will not run in any Loop. Tests in this state are shown as disabled in the Sequence interface.
· In the main body of the Test Matrix are check boxes for individual Tests within each Loop. These ARE equivalent to the check boxes down the left side of the Sequence interface, where only one column is shown at a time for the currently selected Loop. A Test is only run if both the Loop and the Test Master it belongs to are checked, AND it is checked itself. This is shown by check boxes which are both checked and enabled.

In the above screen shot it can be seen that only Loops 1 through 6 will be run. Furthermore, the "Frequency Response" Test is disabled in all Loops and there are several Tests near the bottom that are not run on certain Loops.

· To turn all Loop Masters on or off, use the Loop [+/-] button
· To turn all Test Masters on or off, use the Test [+/-] button
· To turn all Tests on or off, use the "Turn all Tests [on/off] button.

Saving which Tests get run

When you first open the Test Matrix for a new Test Sequence, all the Tests and Loops are enabled. Making changes in the Test Matrix changes which Tests are required right away in the current session. If you want to keep the changes for the next time you load the Sequence, you will need to save them or they will get overwritten the next time the Test Sequence is loaded.

Along the bottom of the Test Matrix are the following buttons:

· [OK]: simply closes the Test Matrix - any changes you have made will have been applied already. This is the same as closing the dialogue box with the Windows' "X" in the title bar.
· [Save]: Saves the current state of the Test Matrix to disk.
· [Reload]: Reloads the saved state of the Test Matrix from disk - useful as an undo or reset function.

There is no "Cancel" button as changes to the Test Matrix are applied instantly. You can make changes while a Test Sequence is running. Auto Sequence checks whether a Test is required just before loading it. If the Test is already loaded, it will continue the Test to the end. The pass/fail will be updated automatically.

Test Matrix: setting which Tests run


Reporting

Auto Sequence has two reporting mechanisms: an HTML report containing tables of results and graph export images, and a Microsoft Excel export of Reading results and Sweep data.

HTML Reporting

HTML reporting options

Excel Reporting

Excel operations

Excel pass/fail indication

Reporting


HTML Reporting

Every time an individual Test is run, Auto Sequence collects the results and graphics ready for compilation into an HTML report which happens when the [Report] button is clicked. When a Test Sequence is started using the [image] [Run Sequence] button, the entire report is reset. As each Test is completed it adds its section to the overall report. After the Sequence has run you can re-test any individual Test if it has failed. Re-running an individual Test within a Sequence overwrites the previous results for that Test. After each re-test the overall pass/fail is re-assessed and the compiled information that goes to make up the report is updated. The HTML report is not updated until the [Report] button is clicked again.

Clicking the [Report] button generates an HTML report containing details of the most recent run of each of the Tests that have been performed and opens it in the default browser.

HTML reports work in two “modes” depending on whether the option to “Save a new report for every Test” is checked. (Settings menu). If this is checked (default), every time the Test Sequence is run, it will create uniquely named HTML reports and graphics. The name is made up of the serial number/reference (if entered), the date and time of the report, and an indicator of pass (P) or fail (F).

If the “Save a new report for every Test” is not checked, a generic report is saved and is overwritten every time a new Test is performed. In this mode, if you want to keep a copy of the report, you will need to save it with a different name or, for portability, print it to PDF. Note that the graphics also will get overwritten each time a new Test is performed, so it is not sufficient to simply rename the HTML file.

Where are HTML reports stored?

By default HTML reports are stored in a sub-folder of the dScope Results\Sequences\ folder with the same name as the Sequence. For example, in a default dScope installation, for a Test Sequence called “Analogue Test”, the HTML reports would be stored in "c:\Program Files\Prism Sound\dScope Series III\Results\Sequences\Analogue Test", however, this can be overridden in the Settings menu.

Adding Notes

You can add a simple note to the report by clicking the [Add Note] button before clicking the [Report] button. This opens a dialogue box which will accept up to four lines of text to be included in the report. The [Previous] button allows you to re-call the previous entry in this dialogue box and make changes to it before saving.

Changing HTML reporting Options

Because the HTML report is compiled while the Test Sequence is running, changes to HTML reporting options take effect the next time a Test Sequence is run.

HTML Reporting


HTML Reporting options

Within the Settings menu are options for HTML Reporting:

Save a new report for every Test

If this is checked, every new HTML report will be generated with a new name and with separate graphics exports. If this option is not checked, the same generic report file name is re-used to generate the report and this report file will be overwritten each time the Test Sequence is run. You may want to do this if you don't want to keep the HTML reports or if you have saved PDF copies etc. The default is to save a new report.

Report Generator Settings

With this option selected, the HTML report will contain an overview of the settings used on the dScope Generator at each Test during the Sequence. The default is not to report these settings.

Report CTA Settings

With this option selected, the HTML report will contain an overview of the settings used on the dScope Continuous-Time Analyzer (CTA) with every Reading derived from the CTA. The default is to report these settings.

Report FFT Detector Settings

With this option selected, the HTML report will contain an overview of the settings used on the dScope FFT Detector with every Reading derived from that Detector. The default is to report these settings.

Report dScope details and global settings

With this option selected, the HTML report will contain an overview of the dScope hardware used to make the measurements including its serial number, hardware configuration, software versions, calibration history and some global option settings. Unlike the other options for HTML reports above, this part of the report is compiled when the [Report] button is pressed and changes to this setting therefore take place immediately. The default is not to report these settings.

Document Full dScope Configuration

This option uses a separate script to retrieve and report several hundred dScope Configuration settings for each Test and include them at the bottom of the HTML report. These are only retrieved on the first Loop, and selecting this option tends to create very large reports.

Changing HTML reporting Options

Because the HTML report is compiled while the Test Sequence is running, changes to HTML reporting options take effect the next time a Test Sequence is run.

HTML Reporting options


Excel Reporting

Auto Sequence can automatically create a spreadsheet from a Test Sequence and store measured data in it. The data are arranged with a new column for each measured result and a new row for each time the Test Sequence is run. In general you do not need to do anything with Excel directly – Auto Sequence will open Excel, create a spreadsheet if needed, configure it to the current Test, write to it directly and save periodically.

In the screen-shot above, the entire spreadsheet was generated by Auto Sequence without having to do anything manually in Excel.

The HTML and Excel reports are not mutually exclusive. For example, you could set up Auto Sequence to export the results to Excel and not to save a new HTML report for each Test. When a Test failure occurs, the spreadsheet indicates which Test failed, but not which result within the Test or what the limits were – this information is available in the HTML report so a quick diagnosis can be provided without using additional storage for results.

The spreadsheet is saved at the end of every Test Sequence, and again after every re-test. You are prompted if you want to save and exit Excel when an Auto Sequence Test Sequence is closed. It is recommended that you do. If you do not, you should save manually and close before re-starting a new Test Sequence.

Auto Sequence cannot tell whether an Excel spreadsheet is already in use. If you open a Test Sequence that uses Excel and its spreadsheet is already open, Excel will open a read-only copy. You will be prompted about this. You can write results to a read-only spreadsheet, but obviously you cannot save it using the same name. To resolve it, close Auto Sequence and Excel and start Auto Sequence again. It will open Excel itself. To avoid this happening, make sure Excel is closed before starting Auto Sequence.

Using Excel Directly while running Auto Sequence

Auto Sequence attempts to "lock" Excel whenever it runs a Sequence, Loop or individual Test. It does this by taking Excel out of "Interactive" mode so that you cannot interact with it using the keyboard or mouse for the duration of the Test. While Auto Sequence has control of the spreadsheet in this way, you will see a white small arrow head next to the "Excel Mode" indication in Auto Sequence.

When Auto Sequence has finished with Excel, it releases it again and you can use it normally. There is one caveat to this: if you edit the spreadsheet, you must commit your changes before attempting to run a Test: don't leave the spreadsheet in "Edit Mode" with the cursor in a cell or the formula bar. When Excel is in "Edit Mode" it can't be automated and Auto Sequence will not be able to get a lock and the Tests will not be run.

The "Done" button

When in Excel Mode after running a Test Sequence a [Done] button appears next to the "Excel Mode" indication. The purpose of this is to let Auto Sequence know that you are done with the current Test and are ready to move on. After the Sequence has been completed, you are normally in a "re-test" mode where you can re-run individual Tests and Loops. Normally clicking the [image] [Run Sequence] button again will make the break with the previous Test and start the next one, but if you wanted to exit this "re-test" mode without starting another Sequence you would press the [Done] button.

An example will make this clearer: Consider the case where you have just run a Test Sequence and the results have been saved to the spreadsheet, and you want to run another Test but with a particular Test disabled. If you just click the checkbox to disable the Test, the measurements for the Test you have just performed would be updated, showing that the Test was not required. This is unlikely to be what you intended. Clicking the [Done] button breaks the link with the existing Test and allows you to make set-up changes ready for the next Sequence.

You do not need to press the [Done] button to run another Sequence; clicking the [image] [Run Sequence] button does this automatically.

Limitations

The reports sent to Excel do not contain the same level of detail as the HTML reports and are more for storing results of individual measurements. Although pass fail is indicated for each Test, the individual pass / fail for each measurement is not indicated, nor are the limits.

Results that are exported:

· All results from supported Readings
· Sweep Results except sensed Sweeps
· FFT response Traces with 100 points or less.

Sweeps with a measured X axis are not supported

Sweeps with a measured X axis are exported to Excel, but the x axis values recorded in the header are the ones recorded when the spreadsheet was configured and not when the subsequent measurements were taken. They should be treated with caution as they are likely to be incorrect.

Excel limitations on numbers of rows and columns

Excel versions before Excel 2007 (version 12) had a worksheet size limit of 65536 rows and 256 columns. In version 12 (Excel 2007) this increased to 1048576 rows and 16384 columns. Auto Sequence automatically monitors this and warns if the Configuration would use more columns than are available. Note that the spreadsheet size (in MB/GB) and the time taken to save it will probably become an issue before the spreadsheet is full, especially in Excel 2007 and later. Versions of Excel before Version 9 (Excel 2000) have not been tested.

Excel Reporting


Excel operations

Creating a Spreadsheet

To create a spreadsheet for a Test Sequence, simply go to the Auto Sequence Settings menu, turn on “Export Readings and Sweeps to Excel” and follow the instructions. Auto Sequence will create the spreadsheet for you. When you first run the Sequence it will configure the spreadsheet by writing in headers as it progresses through the Test Sequence. Please don't stop it while it does this. After the spreadsheet has been configured, every time the sequence is run it will write the measurement data in the first available row.

How Auto Sequence manages spreadsheets

Auto Sequence has some fairly straightforward rules for how it works out what to do with spreadsheets. Understanding them will enable you to make the most of this feature and to work out what has happened if things go wrong:

1. Spreadsheet Creation:

If you enable exporting results to Excel or open a Sequence where it is enabled, Auto Sequence first checks whether a spreadsheet already exists for this Sequence. If the spreadsheet is not there, Auto Sequence will offer to create it. If you say yes, it creates it but leaves it blank.

The spreadsheets have the same name as the Sequence and, by default, are in a sub-folder of the Results\Sequences folder also named the same as the Sequence. For example, a Test Sequence called “Digital Test” would have a spreadsheet at: c:\Program Files\Prism Sound\dScope Series III\Results\Sequences\Digital Test\Digital Test.xls by default. The location of the spreadsheet can be changed in the Settings menu, but since Excel doesn't support multiple users, you cannot have more than one test station saving to the same spreadsheet.

2. Spreadsheet Configuration:

Once Auto Sequence has opened the spreadsheet it checks the contents of cell A1 (top left):

· If it is empty it assumes the spreadsheet has not yet been configured; it will configure the spreadsheet with the headers as it runs the first Test Sequence.
· If it contains the name of the Test Sequence, it will assume all the headers have already been written and will only write the measured data to the first available row.
· If it contains anything else, the Sequence will stop with a warning that Auto Sequence is not sure it is writing to the right spreadsheet. This is to prevent overwriting data in the wrong spreadsheet.

In order for Auto Sequence to configure the spreadsheet, you will need to run the Test Sequence. Auto Sequence will look out for information to be written to the spreadsheet as the Tests run and write in headers for all the data it finds. It also writes in an index for the Tests ("T1", "T2" etc.) which are hyperlinks to the columns where the test data for that Test is stored. It also records the "start column" number for each Test. The start column allows Auto Sequence to work out where to write data from each Test separately, which is important if some Tests are disabled or if you need to re-run a particular Test after the Sequence has completed. Please do not change these column numbers.

When configuring a spreadsheet for a Test Sequence that contains multiple Loops, Auto Sequence will attempt to configure the spreadsheet by only running Loop 1 as this should contain enough information to set up the spreadsheet headers. If a particular Test is not enabled in Loop 1, Auto Sequence will look for the first Loop in which it is enabled and run it there. For example, if all the Tests are enabled in Loop 1 except Test 5, Auto Sequence will run Loop 1 up until it gets to Test 5 and then look for the first Loop where Test 5 is used. If this is Loop 3 for example, Auto Sequence will load Loop 3, then run Test 5, then re-load Loop 1 and resume with the rest of the Tests. While configuring the spreadsheet, Auto Sequence will ignore the Test Master controls, meaning that a Test that is disabled with the Test Master in the Test Matrix will still be run.

If a Test is disabled in all Loops (the Test is not checked in any of the Loops) it will be left blank in the spreadsheet and no space will be reserved for results from that Test. If such a test is subsequently enabled in one or more loops and contains results to be written to the spreadsheet, running it will cause an error.

Archiving a spreadsheet

To archive a spreadsheet, use the [Archive] button in the “Settings” menu. This will copy the spreadsheet in the same folder where it currently resides with a new name based on the current date and time.

Clearing a Spreadsheet

To clear the data from a spreadsheet, you can use the [Clear Data] button in the Auto Sequence “Settings” menu. This simply clears all the rows where data has been written. It does not clear the headers.

Re-setting a spreadsheet

If you make changes to a Test within a Sequence (add or remove a Reading, or change the number of Sweeps or Sweep points for example) you will need to re-set the spreadsheet to take these changes into account. If you have data you want to keep, first follow the instructions for archiving a spreadsheet above, then delete the spreadsheet and allow Auto Sequence to re-create it with the new settings. You can also clear the contents of the spreadsheet and unfreeze the panes, but this is probably no easier than deleting the entire spreadsheet.

Changing a Test Sequence after setting up a spreadsheet

Auto Sequence sets up a spreadsheet based on the number of Tests in a Sequence and the number of applicable measurements within each Test. It keeps a record of the column in which to start recording the results of each Test and can therefore run each of the Tests independently. Once the spreadsheet has been configured, you should consider both the spreadsheet layout and the dScope Configurations to be frozen, and not change either. In practice, Auto Sequence runs a series of checks on the spreadsheet and Sequence and will stop and warn you so as to avoid data corruption if it finds anomalies. (There is one exception - it cannot tell if the number of results changes in the last Test in the Sequence). It does not check many of the changes you could make, such as the units or bandwidth of a measurement that would make your data invalid. If you need to make a change to a Test, the simplest way is to archive, delete or rename the spreadsheet and start again. Note that it is not just changes to Configurations that can change the number of results reported: adding or removing some types of Dialogue can also have this effect.

Running Excel Hidden

By default, Auto Sequence runs Excel visible. This is set by the “Run Excel visible to user” option in the settings menu. If this is unchecked, Excel starts up hidden (with no user interface or task-bar button). Most things work identically in this mode with the exception that you are not prompted to save and exit when closing a Test Sequence (it is saved and closed automatically) ...and of course you can't see the spreadsheet! If you get "read-only" errors in this mode, but can't see Excel open, check that there are no instances of Excel running hidden in the Process list in Task Manager.

Automatically Scrolling the Spreadsheet

In the settings menu you can set whether Auto Sequence scrolls the spreadsheet up so that new Tests appear at the top of the spreadsheet each time a new Test Sequence is started. If this is off, the newest Tests appear at the end of the spreadsheet and may be off the screen. This setting is on by default.

Excel operations


Excel pass/fail indication

The spreadsheet is updated every time a Test is run, or whenever the check boxes which determine which Tests are required are changed. The overall pass/fail for the Sequence is written into column C of the spreadsheet. The pass/fail for each individual Test is written to separate columns underneath the test index for that Test. In this way it is easy to see whether a particular Test passes or fails.

The indication for the overall Sequence pass/fail and for the Test columns is as below:

Overall Sequence pass/fail indication

(PASS) - means that the overall Test Sequence is currently passing, but all the Tests have not yet been completed.

PASS - (bold) means that the overall Test Sequence has passed and all required Tests have been completed

FAIL - (bold) means that the overall Test Sequence has failed (any Test has failed)

N/A - means that there has been no limit checking performed (yet) and therefore pass/fail is not applicable.

Individual Test pass/fail indication

"-" (grey hyphen) indicates that the Test is not required.

? - in a Test column indicates that the Test is required, but hasn't yet been performed

v - in a Test column indicates that the Test has passed

[v] - in a Test column indicates that the Test passed, but isn't checked for inclusion.

X - in a Test column indicates that the Test has failed

(X) - in a Test column indicates that there was a problem running the Test - most likely a digital input did not lock or a soundcard returned no data and the Test timed out.

[X] - in a Test column indicates that the Test has been run and failed, but isn't checked for inclusion in the Test results anyway.

OK - in a Test column indicates that the Test has run but there was no limit checking found.

[OK] - in a Test column indicates that the Test has run and there was no limit checking found but the Test wasn't required anyway.

Excel pass/fail indication


Settings and Options

Within any Test Sequence there are a number of settings and options available from the "settings" dialogue box. When a new Sequence is set up, these are set to default values. Once they are saved, they are stored and recalled with the Test Sequence. The settings are accessed from the [Settings] button on the sequence form and bring up a form as shown below:

· Prompt for Serial Number / Reference
· Increment Serial Number automatically
· Repeat Test Sequence until stopped
· Stop Sequence on Test failure
· Show Pass/Fail banner
· HTML Reporting Options
· Excel Reporting Options

Settings and Options


Prompt for Serial Number / Reference

When a Test is started, this brings up a dialogue box for entering a serial number or reference to be added to the report or written to the spreadsheet. There are some limitations about what characters can be used here, as it is also used to generate file names for the HTML reports and therefore any characters that cannot be used in Windows file names cannot be used here.

If using Excel, the reference used here appears in column A of the spreadsheet.

Prompt for Serial Number / Reference


Increment Serial Numer Automatically

If the option to prompt for serial numbers is set, this will look at whether the previously used Serial Number / Reference was numeric and, if so, increment it by 1 and present this for use in the serial number / reference prompt dialogue box. If the option to prompt for serial numbers is not set, it has no effect.

Increment Serial Numer Automatically


Repeat test sequence until stopped

This is functionally the same as continually pressing the [image] [Run Sequence] button again as soon as the Test Sequence has completed. If there are no prompts or message boxes set up, this can run multiple Tests repeatedly unattended. It can also be used in conjunction with the "Stop Sequence on Test Failure" to run complex soak tests checking for multiple conditions over time and stopping on failure. With the option to "prompt for the serial number", it can be used to automatically test the next device upon entering its serial number or reference, making it unnecessary to click the [image] [Run] button. With an additional barcode reader, this process can also be automated. With the addition of a start-up script that waits for a particular condition to be met (eg, detection of a particular signal) the Test Sequence can be run automatically each time a new device is connected.

This option is not yet available with looped Sequences.

Repeat Test Sequence until stopped


Stop sequence on test failure

Should a Test within a Sequence fail, the script can be set to stop at the point of failure. This stops at the end of the Test in question (and not at the point of failure within a Sweep etc) and presents a message box with the following options:

· [Abort]: aborts the Test Sequence, leaving the current dScope settings and allowing fault finding to be done.
· [Retry]: retries the failed Test.
· [Ignore]: Ignores the failure and carries on testing the rest of the Sequence (leaves the Test in a "Failed" state).

...and turn the generator off

There is an additional option in the options dialogue box to turn the generator off when the Sequence is stopped in this way. This can be particularly useful for unattended Tests where leaving the generator on could cause problems (eg, power amplifier test at full power).

Stop Sequence on Test failure


Show Pass/Fail banner

By default, if any limit checking is encountered during the running of a Test Sequence a Pass/Fail banner will be shown at the end with the accumulated pass/fail status of all the Tests. This can be turned off (the pass/fail status is also displayed by the colour of the header of the Auto Sequence dialogue box). This banner does not appear if there is no limit checking encountered in the Sequence.

Show Pass/Fail banner


Appendix

Contains the following reference material:

Advanced Topics

· Automation Scripts
· Script Set-up Mode
· HTML Reporting Extensions
· Additional Options

Trouble Shooting

Flow Diagram

Appendix


Advanced Topics

Although it is possible to chain a Sequence of Configurations together and get overall pass/fail, for many more complex real-world tests, more is needed. This section covers:

Automation Scripts - additional scripts that run at certain points in the Sequence execution

Set-up Mode - an alternative view of the Auto Sequence interface that makes editing of automation scripts easier

HTML Reporting extensions - Ways of customizing the appearance of the HTML reports

Additional Options - things you can change in the script itself to change its behaviour

Advanced Topics


Automation Scripts

Although one of the main aims of Auto Sequence is to avoid scripting, allowing scripting within the framework makes quite a lot of things possible that would otherwise not be achievable using Configurations alone. Examples of this would be things like setting up inputs and outputs, setting references for measurements etc.

Making scripts available simply consists of creating scripts with a consistent naming convention within the Sequence folders. As the Sequence progresses, Auto Sequence checks for the presence of scripts at specific stages and, if they are found, they are executed. These scripts cannot change any Auto Sequence variables (eg, pass/fail etc.) but can be used to write to the HTML report. See HTML Reporting Extensions later.

There are currently five places where scripts are executed for each Test (see also the flow diagram ):

1. At the start of a Test Sequence – this is the “Start-up” script and will only run when the Sequence is run from the [image] [Run Sequence] button.

2. After the Configuration has been loaded - These are referred to as “post load” scripts and will be run when the configuration is loaded as part of the sequence or when you press a Test [Load] button.

3. Before the Test is run. This is a “pre run” script and executed when the Test is run in the Sequence or when the [Run] button is pressed for any particular Test. It is executed before the actual Test is conducted.

4. After the Test is run. This is a “post run” script and is executed after a Test has been run as part of a sequence or when the [Run] button is pressed. It is executed immediately after the Test has been run.

5. At the end of a Test Sequence – This is the clean-up script and will only run after the Sequence is run from the [image] [Run Sequence] button and the Sequence has completed without aborting.

For types 2, 3, and 4 above, there are two types scripts: an “all” version and an individual version. The “all” one is the same script run for all the Tests, and the individual ones are specific to a particular Test. More details below.

Start-Up Scripts

When the [image] [Run Sequence] button is pressed, one of the first things that happens is that Auto Sequence looks for the presence of a script called “startup.dss” in the sequence folder. If found, it is executed before any of the Tests are run.

Post-Load Scripts

After each Configuration is loaded, Auto Sequence can run one or two scripts. First it checks for the presence of an overall script called “all_postload.dss” (none of these names are case sensitive), then for a specific script for the current Configuration.

Note that clicking the [Run] button for any particular Test will check whether the Configuration for that Test is already loaded. If it is not loaded it will be loaded and any postload scripts will be executed at that point. If the Configuration is already loaded it is not re-loaded and any postload scripts will not be executed.

Run a script after each Configuration is loaded

If you want to run a single script after every Configuration is loaded (for example to set a different soundcard input selection from the one saved with the Configurations), you can do this by saving a script with the name “all_postload.dss” within the sequence folder. After each Configuration is loaded, the Auto Sequence application checks for the presence of this file and executes it if found.

Run a specific script after a particular Configuration is loaded

For some types of Test you may want to run a short script after the Configuration has loaded – for example, you may want to put up a prompt for the operator to make a change to the EUT settings. You can do this by creating a script with the same name as the Configuration but with “_postload.dss” at the end of it in the sequence folder. For example if your Configuration is called “Frequency Response.dsc” you would create a script called “Frequency Response_postload.dss” and this would get run after the Configuration had been loaded either as that Test is run as part of a Test Sequence or when the [Load] button is clicked for that Test. This is run immediately after the “all_postload.dss” script if present.

Pre-Run scripts

These are scripts that are run before any Tests defined in the Configuration. This is one of the first things done when the [Run] button is clicked for any particular Test.

Run a script before each Test is run

If you want to run a single script before each Test is run (for example, to check that you have digital lock when measuring a digital input), you can do this by saving a script with the name “all_pre.dss” within the sequence folder. The Auto Sequence application checks for the presence of this file and executes it if found before it runs any specific “pre” scripts defined for a Configuration and before it runs whatever Tests are set up in the Configuration.

Run a specific script before a particular Test is run

It can be helpful to run a specific script before running the Tests set up in a Configuration. This could be to set up dBr references or run a regulation routine for example. You can do this by creating a script in the sequence folder with the same name as the Configuration but with “_pre.dss” at the end of it. For example if your Configuration is called “Frequency Response.dsc” you would create a script called “Frequency Response_pre.dss” and this would get run after the “all_pre.dss” script (if present) but before any Tests that are set up in the Configuration. This also runs when the [Run] button is pressed for a particular Test.

Post-Run scripts

These are scripts that are executed after the Tests set up in the Configuration have been run.

Run a script after each Test is run

If you want to run a single script after each Test is run, you can do this by saving a script with the name “all_post.dss” within the sequence folder. The Auto Sequence application checks for the presence of this file and, if found, executes after it has run whatever Tests are set up in the Configuration. This cannot write to the report, but it can write to the notes area of the Trace window, HTML extension files and rename Traces etc. if required.

Run a specific script after a particular Test is run

It may be helpful to run a specific script after running the measurements set up in a Configuration. Although you cannot write directly to the report, you can write to HTML extension files , change the name of the Trace window or write to the notes area of the Trace window which you can set to be exported to the report. There may be other things you might like to do after the Test has run but before the pass/fail or reporting is done. You can do this by creating a script in the sequence folder with the same name as the Configuration but with “_post.dss” at the end of it. For example if your Configuration is called “Frequency Response.dsc” you would create a script called “Frequency Response_post.dss” and this would get run after the “all_post.dss” script (if present). This also runs when the [Run] button is pressed for a particular Test, after the Test has been run.

Clean-up Script

When the [image] [Run Sequence] button is pressed, one of the last things that happens is that Auto Sequence looks for the presence of a script called “cleanup.dss” in the sequence folder. If found, it is executed after all of the Tests have been run if the Tests have not been aborted. This could be used, for example, to turn the generator off or alert the operator that the Test has completed.

Automation Scripts


Script Set-up Mode

To assist in setting up scripts and Dialogues for a particular Test Sequence, you can run Auto Sequence in a set-up mode by checking the "Set-up mode” check box before loading a Test Sequence. This changes the appearance of the user interface so that there are buttons to open each of the possible scripts or create them if they don't exist. Within the Sequence section of the dialogue, buttons with an [S] indicate the locations where scripts will be executed (reading from left to right and bottom).

Existing scripts are shown with the button shaded yellow – where there is no script it will be grey and show a plus sign. Clicking on the former will open the script in the defined editor. Clicking on the latter asks if you want to create the script. If you select [yes], it will create a new (empty) dScope automation script with the correct file name.

The [Open Sequence Folder] button opens Windows Explorer in the folder where the Configurations and scripts are stored for this Sequence.

Buttons with a [D] are for Dialogues. An orange button indicates the presence of Dialogue(s) for a particular Test. Clicking any of these buttons opens the Dialogue Editor for that Test.

The [Settings] button is the same as in the basic operation mode.

The [Tweak] button opens a dialogue allowing you to make changes to all the currently selected Tests.

Script Set-up Mode


HTML Reporting Extensions

Auto Sequence compiles the HTML report in memory as it progresses through the Test Sequence. At the end of the Test Sequence, if a Test is re-run, it will overwrite just the part of the report for that Test. When the [Report] button is pressed, it compiles the report as an HTML (text) file from the data held in memory from the Test Sequence. To add flexibility to this arrangement, the script will import additional HTML files from the Test Sequence folder if present. There are three types of file that get imported:

HTML Report Header

In order to be able to incorporate a custom header (with company logo etc), the report generation looks for a file called “header.html” in the Test Sequence folder. If present the text contained in this file will be inserted into the report. This makes up the first part of the report to appear after the <body> tag.

Example:

To insert a logo and the name of the company in bold text at the top of the page, you could save a file called "header.html" in the Test Sequence folder containing the following:

<table>

<tr>

<td><img src = "logo.png" alt = "Logo"></td>

<td><H1>Company Name</H1></td>

</tr>

</table>

<hr>

For this to work, you would also need to save the logo graphic into the HTML results folder for this sequence.

HTML Report Footer

In order to be able to incorporate a custom footer, the report generation looks for a file called “footer.html” in the Test Sequence folder. If present the text contained in this file will be inserted into the report right at the end, just before the closing </body> tag.

Example:

To insert a footer with a copyright notice in small grey text you could create a file called "footer.html" in the test sequence folder containing the following:

<div style = "width:100%; text-align: center; font-size: 10px; color: #999; ">

<br><hr><br>

&copy; Copyright 2012 - Company Name Ltd.

</div>

Test specific HTML

In order to be able to include additional notes in each Test section of the report, the report generation will also look for HTML files with the same name as the Configuration it's intended to accompany (eg, if the Configuration is called “frequency response.dsc” the associated HTML file would be called “frequency response.html”.

Example:

To insert a note at the frequency response test to say that the test was performed with de-emphasis turned off you could save a file called "frequency response.html" in the test sequence folder containing the following:

<fieldset>

<legend> <b>NOTE:</b> </legend>

This test is performed with the de-emphasis turned OFF.

</fieldset>

<br><br>

This would create a box with the title "NOTE:" that contained the note text and which is positioned at the end of the Frequency Response Test section of the report.

Any of these files could be created manually or they can be created or added to by any of the scripts that can be run within the Test Sequence. For example, the Start-up script could scan a serial number bar-code and write the serial number into the header file, or another instrument, under the control of the dScope script could make a measurement and the script could write its results into the report.

HTML Reporting Extensions


Additional Options

In addition to the options available via the settings menu, there are several other options which can be set with a little editing:

Setup Mode Lockout

By default, the script will present a check box for running the Test Sequence in a “setup mode” - this gives access to additional features useful for configuring a Test Sequence. If this is not desirable in a production environment, it can be disabled by setting the value of "HKCU\Software\Prism Sound\dScope\Scripting\User\Auto Sequence\Setup Lockout" in the Registry to "False" . Note that this is a REG_SZ text string and takes the values "True" or "False" (without the quotes). The usual precautions about editing the Registry apply: back it up, do it carefully, if in doubt, don't.

Define a Script Editor

By default when in Script Setup Mode, scripts are opened in Notepad. You can change this by changing the value of "HKCU\Software\Prism Sound\dScope\Scripting\User\Auto Sequence\Editor" in the Registry to the command line string needed to start the editor of your choice. An example would be "C:\Program Files\Crimson Editor\cedt.exe" (without the quotes) to start Crimson Editor. The usual precautions about editing the Registry apply: back it up, do it carefully, if in doubt, don't.

Channel Check Time

By default Auto Sequence will check that digital data integrity is maintained for 10 seconds (using "Channel Check"). This period is saved and recalled independently for each Sequence. Once the settings for a Sequence have been saved (from the "Settings" menu) a file called "settings.xml" is saved in the Sequence folder. You can edit this in a text editor and change the value of the line: <dChannelCheckTime>10</dChannelCheckTime> to set the time in seconds.

Digital Input Lock Timeout time

By default, when a Configuration is set to measure using a digital input, Auto Sequence will wait for up to 5 seconds for the selected digital input to lock. This period is saved and recalled independently for each Sequence. Once the settings for a Sequence have been saved (from the "Settings" menu) a file called "settings.xml" is saved in the Sequence folder. You can edit this in a text editor and change the value of the line: <dDigitalLockTimeout>10</dDigitalLockTimeout> to set the time in seconds. .

Soundcard Data Timeout time

When a soundcard is selected for analysis in a dScope Configuration, by default Auto Sequence will wait for up to 5 seconds for data to be received from the soundcard. This period is saved and recalled independently for each Sequence. Once the settings for a Sequence have been saved (from the "Settings" menu) a file called "settings.xml" is saved in the Sequence folder. You can edit this in a text editor and change the value of the line: <dSoundCardDataTimeout>10</dSoundCardDataTimeout> to set the time in seconds. .

Additional Options


Trouble Shooting

The information below includes some quick guidance on some of the error messages you may see, what they mean and what you can do about them.

Unsupported Settings!

You may get this message after loading a dScope Configuration with features that are not supported on the version of dScope you are using. For example, if you are using an analogue only dScope Series III, but the Test Configuration has the digital input selected, you will see this message.

IMPORTANT: Some settings fall back to alternative settings when not supported – for example, if a Configuration with a digital input selected is loaded on an analogue only dScope, it will fall back to using the analogue input. Depending on how this is connected, it may successfully run the Test, but will not be the right result!

Spreadsheet Closed? Couldn't read from the spreadsheet.

You may get this if Auto Sequence has opened a spreadsheet and it has been closed or crashed in the background. It simply means that Auto Sequence has attempted to write to the spreadsheet but it has been unable to and has returned an error. The quickest and easiest resolution is to close Excel (if it's running) and restart Auto Sequence. You may also get a similar message if you have left the Excel spreadsheet in "Edit Mode" (with the cursor still in a cell or in the Formula Bar).

“Sequence and Spreadsheet Mismatch!” Or “Excel Test Data Mismatch!”

Auto Sequence sets up the Excel spreadsheet based on the number of Tests it finds, and the number of results within those Tests the first time it runs in Excel mode. If you see this error, it means that something has happened that means the number of Tests and results no longer matches the number of columns allocated to them in the spreadsheet.

The most common reason is that a Configuration has been changed (new Readings, different number of Sweep points etc.) or a new Configuration has been added or one removed. If this is the case and you want to keep the new Configurations in the Sequence, it's probably easiest to rename the existing spreadsheet and let Auto Sequence re-create it based on the new set-up.

Another possibility is that the Test Sequence was created with a different version of dScope hardware than the one now running it. For example, if the Test Sequence incorporates digital carrier measurements, but is run on an Analogue only dScope, these Readings will not be available and there will be missing columns of data. In this case the error message will be along the lines that the spreadsheet has allocated X data points for this Test but it has used (something less than X). The only way around this is to use a version of dScope that supports all the features needed for the Sequence.

When developing a Test Sequence for use with different versions of hardware, it may help to use the dScope model number emulation. For example, if you are developing a test in the design lab using a full dScope Series III and the test will be deployed on a production line using dScope Series IIIA (analogue only) hardware, you can set the dScope to run in IIIA hardware emulation while developing the tests. This option is found in the “Utility” menu under “Options” -> “Miscellaneous” -> “Hardware”.

Spreadsheet Columns Full

This is most likely to occur with a Sequence using a lot of Sweep data on versions of Excel before Excel 2007 which only have 256 columns available. It essentially means that there aren't enough columns in Excel to accommodate all the measurements defined in the Test Sequence. You will either need to reduce the number of measurements made, or upgrade Excel to version 2007 or later (versions from Excel 2007 have 16384 columns).

Wrong Spreadsheet?

When Auto Sequence creates the spreadsheet for a particular Test Sequence, it puts the name of the Sequence in the top left cell (cell A1). When it opens a spreadsheet it checks that the name of the Sequence is the same as the one in the spreadsheet. If not, you will get this error in order to protect against data corruption. This is only likely to occur if you change the title of the spreadsheet manually.

Trouble Shooting


Flow Diagram

The flow diagram below illustrates the behaviour of Auto Sequence. Yellow boxes indicate the execution of scripts (where these are present). The green areas show which sections run when the [Load] and [Run] buttons are clicked. An overview of the "Run Tests" routine is shown in purple. This diagram does not show the looping behaviour, however this follows much the same path as the "continue" loop.

Flow Diagram


Glossary

Configuration: A dScope Configuration is a snapshot of the dScope settings that can be saved and recalled.

Loop: A Loop in Auto Sequence is one pass through the Tests in a Sequence.

Partial Configuration: a dScope Configuration where only a subset of the available settings are saved and recalled.

Reading: a dScope "Reading" (capital R) is a window that can be created from any dScope Result by dragging it out onto an empty part of the screen. Readings allow the display and limit checking of Results.

Required: in Auto Sequence a Test is "required" when it is set to be included in the Test Sequence and its pass fail results contribute to the overall pass/fail. In non-looped sequences this will be if the check box next to it is checked. In looped Sequences, both the Loop and the Test Master that the individual Test belongs to must also be checked in the Test Matrix.

Sequence: a Sequence is a series of Tests. In a looped Sequence, this will consist of a series of Loops, each containing a Sequence of Tests.

Test: An Auto Sequence Test is all the measurements based on a single dScope Configuration. It can contain many different measurement results.

Test Matrix: In a looped Sequence, the Test Matrix is a two dimensional representation of all the Tests that will be conducted in a Sequence, with each row representing the Tests and each column representing the Loops.

Glossary


Sequence Editor

Enter topic text here.

Sequence Editor